Subject: Re: Updated I/D for MPEG-4 Audio/Visual RTP payload format

From: Toshiro Kawahara <[email-masked]>
Date: Mon, 03 Jul 2000 12:11:13 +0900

Dear Kikuchi-san and all,

Thank you for your consideration on our request.

Yes! Your modification below meet our request, and please
apply them into the draft.

Regards,
Toshiro

At 18:21 00/06/29 +0900, Yoshihiro Kikuchi wrote:
>Dear Kawahara-san and all,
>
>Thank you very much for your comment.
>
>I agree with Kawahara-san that the interworking between the systems is the
>matter to be covered in this Internet-Draft. Does the following minor
>revision on section 5 meet your request?
>
>
>- In section 5.1 "MIME type registration for MPEG-4 Visual", add the
>following parameter to "Optional parameters":
>
>config: A hexadecimal representation of an octet string that expresses the
>MPEG-4 Visual configuration information, as defined in subclause 6.2.1 Start
>codes of ISO/IEC14496-2[2][4][9]. The configuration information is mapped
>onto the octet string in an MSB-first basis. The first bit of the
>configuration information SHALL be located at the MSB of the first octet.
>The
>configuration information indicated by this parameter SHALL be the same as
>the configuration information in the corresponding MPEG-4 Visual stream,
>except for first_half_vbv_occupancy and latter_half_vbv_occupancy which may
>vary in the repeated configuration information inside an MPEG-4 Visual
>stream (See 6.2.1 Start codes of ISO/IEC14496-2).
>
>- In section 5.2 "SDP usage of MPEG-4 Visual", replace the description for
>"a=fmtp" parameter with the following:
>
>o The optional parameter "profile-level-id" and "config" MAY go
>in the "a=fmtp" line to indicate the coder capability and configuration.
>These parameters are expressed as a MIME media type string, in the form of
>as a semicolon separated list of parameter=value pairs.
>
>
>Best regards,
>Yoshihiro
>
>----- Original Message -----
>From: Toshiro Kawahara <[email-masked]>
>To: Yoshihiro Kikuchi <[email-masked]>; Christine Guillemot
><[email-masked]>
>Cc: 4on2andIP-sys <[email-masked]>; IETF AVT
><[email-masked]>; Yoshihiro Kikuchi <[email-masked]>
>Sent: Thursday, June 29, 2000 1:21 PM
>Subject: Re: Updated I/D for MPEG-4 Audio/Visual RTP payload format
>
>
>> Kikuchi-san and all,
>>
>> I have an comment on the MIME parameters for MPEG-4 visual, or a
>> request to add another important parameter to them.
>>
>> That is decoderConfiguraitonInformation, which indicates the
>> configuration of the transmitted bitstream (i.e., VO/VOL headers).
>> H.245 have this field for the use of MPEG-4 Visual, and thus
>> considering interworking with systems using H.245 as H.323 or H.324,
>> this field should also be supported by SIP with MIME parameters.
>>
>> Regards,
>> Toshiro
>> ---
>>    Toshiro Kawahara  <[email-masked]>
>>    NTT DoCoMo, Inc.
>>       (We have changed our corporate name from April!)
>>    Multimedia Laboratories, Multimedia Signal Processing Laboratory
>>    TEL: +81 468 40 3518  FAX: +81 468 40 3788
>>    河原 敏朗 (in Japanese)
>>
>
>

---
   Toshiro Kawahara  <[email-masked]>
   NTT DoCoMo, Inc.
      (We have changed our corporate name from April!)
   Multimedia Laboratories, Multimedia Signal Processing Laboratory
   TEL: +81 468 40 3518  FAX: +81 468 40 3788
   河原 敏朗 (in Japanese)